Reveal a webhook secret once
POST
/automation/{id}/webhook/{triggerKey}/reveal
Answers 409 `secret_already_revealed` after the first call, and 409 `webhook_scheme_mismatch` for hmac endpoints.
Path Parameters
idstring
required·
Resource id
triggerKeystring
required·
Webhook trigger key within the workflow
Response Body
endpointobject
can_manageboolean
created_atstring
endpoint_idstring
presetstring,null
previous_secret_expires_atstring,null
rotated_atstring,null
schemestring
Possible values:
standardhmactoken
secret_statestring
Possible values:
unrevealedrevealedprovidedmissing
statusstring
Possible values:
activeneeds_secretdraft_only
trigger_keystring
urlstring
secretstring
curl -X POST 'https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/reveal' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/reveal', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/webhook/<triggerKey>/reveal"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.post(url, headers=headers)
print(response.json())